summary refs log tree commit diff
path: root/catsit.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-08-15 18:46:28 -0400
committerJune McEnroe <june@causal.agency>2020-08-15 18:46:28 -0400
commit84a1f34b0c40625ff517b5ff132d2cf05cb85143 (patch)
treed6ff59052b5a3d32f9c01857043a47814890249b /catsit.sh
parentParse config later (diff)
downloadcatsit-84a1f34b0c40625ff517b5ff132d2cf05cb85143.tar.gz
catsit-84a1f34b0c40625ff517b5ff132d2cf05cb85143.zip
Check if pipe is writable in wrapper
Diffstat (limited to '')
-rw-r--r--catsit.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/catsit.sh b/catsit.sh
index bc18a46..0e2a7e1 100644
--- a/catsit.sh
+++ b/catsit.sh
@@ -19,6 +19,9 @@ shift $((OPTIND - 1))
 if ! [ -p "${CATSITD_PIPE}" ]; then
 	die "${CATSITD_PIPE} is not a named pipe"
 fi
+if ! [ -w "${CATSITD_PIPE}" ]; then
+	die "${CATSITD_PIPE} is not writable"
+fi
 
 [ $# -lt 1 ] && die 'action required'
 [ $# -lt 2 ] && die 'service name required'
n #ascii.town on freenodeJune McEnroe 2019-02-23Call def_prog_mode after termNoFlowJune McEnroe 2019-02-22Move IRC formatting reset to C-sJune McEnroe 2019-02-22Disable terminal flow controlJune McEnroe 2019-02-22Bind up and down arrows to scrollJune McEnroe 2019-02-22Remove topic TODOJune McEnroe 2019-02-22Add /znc commandJune McEnroe 2019-02-22Update status line after scrolling and term eventsJune McEnroe 2019-02-22Reorganize input.cJune McEnroe 2019-02-22Fix name of <raw> window in man pageJune McEnroe 2019-02-22Rename global tags with angle bracketsJune McEnroe 2019-02-22Show status window while connectingJune McEnroe 2019-02-22Reorganize UI code for the umpteenth timeJune McEnroe 2019-02-21Replace "view" with "window"June McEnroe 2019-02-21Remove ROT13June McEnroe 2019-02-21Clean up man pageJune McEnroe 2019-01-26Draw UI before connectingJune McEnroe 2019-01-25Avoid unused variable warnings with getyxJune McEnroe 2019-01-25Add GNU/Linux build instructionsJune McEnroe